"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.recommended = void 0;
const base_1 = require("./base");
const overrides = [
    Object.assign({ files: ['*.md', '*.mdx'], extends: 'plugin:mdx/overrides' }, base_1.base),
    {
        files: '**/*.{md,mdx}/**',
        extends: 'plugin:mdx/code-blocks',
    },
];
exports.recommended = {
    overrides,
};
try {
    require.resolve('prettier');
    require.resolve('eslint-plugin-prettier');
    overrides.push({
        files: '*.md',
        rules: {
            'prettier/prettier': [
                'error',
                {
                    parser: 'markdown',
                },
            ],
        },
    }, {
        files: '*.mdx',
        rules: {
            'prettier/prettier': [
                'error',
                {
                    parser: 'mdx',
                },
            ],
        },
    });
}
catch (_a) { }
//# sourceMappingURL=recommended.js.map